> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Déclencher un build manuel

> Déclenche manuellement un build du snapshot à l'aide des blueprints actuels de l'org.

<div id="permissions">
  ## Autorisations
</div>

Nécessite un utilisateur de service disposant de l’autorisation `ManageOrgSnapshots` au niveau de l’organisation.

<div id="behavior">
  ## Comportement
</div>

Déclenche un build manuel du snapshot pour l’organisation. Le build est asynchrone — interrogez périodiquement l’endpoint de statut du build pour suivre sa progression.


## OpenAPI

````yaml fr/v3-openapi.yaml POST /v3beta1/organizations/{org_id}/snapshot-setup/builds
openapi: 3.1.0
info:
  description: API Devin v3 avec authentification par compte de service et RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds:
    post:
      tags:
        - snapshot_setup
      summary: Déclencher un build manuel
      description: >-
        Déclenche manuellement un build du snapshot à l'aide des blueprints
        actuels de l'org.
      operationId: >-
        trigger_org_build_v3beta1_organizations__org_id__snapshot_setup_builds_post
      parameters:
        - description: "ID de l’organisation (préfixe\_: org-)"
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerBuildBody'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Build'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    TriggerBuildBody:
      description: "Corps de ``POST /builds``. Vide conformément à la spécification\_; réservé à de futurs champs."
      properties: {}
      title: TriggerBuildBody
      type: object
    Build:
      description: "Schéma public de la ressource ``Build`` — vue opaque de type «\_est-ce que cela a réussi\_?\_».\n\nConformément à la spécification, aucune introspection de la plateforme, du snapshot ou des jobs n’est exposée. Les ajouts\nfuturs (``triggered_by_repo``, métadonnées du build, etc.) sont additifs."
      properties:
        build_id:
          title: Build Id
          type: string
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
        created_at:
          title: Created At
          type: integer
        pinned:
          title: Pinned
          type: boolean
        started_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Started At
        status:
          enum:
            - pending
            - running
            - succeeded
            - failed
            - cancelled
          title: Status
          type: string
        trigger:
          anyOf:
            - enum:
                - manual
                - auto
              type: string
            - type: 'null'
          title: Trigger
        triggered_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggered By User Id
        updated_at:
          title: Updated At
          type: integer
      required:
        - build_id
        - status
        - trigger
        - triggered_by_user_id
        - pinned
        - started_at
        - completed_at
        - created_at
        - updated_at
      title: Build
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: "Identifiant de compte de service (préfixe\_: cog_)"
      scheme: bearer
      type: http

````